/*
Copyright Kumori.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by lister-gen. DO NOT EDIT.

package v1

// KubernetesEndpointResolverListerExpansion allows custom methods to be added to
// KubernetesEndpointResolverLister.
type KubernetesEndpointResolverListerExpansion interface{}

// KubernetesEndpointResolverNamespaceListerExpansion allows custom methods to be added to
// KubernetesEndpointResolverNamespaceLister.
type KubernetesEndpointResolverNamespaceListerExpansion interface{}

// MappingListerExpansion allows custom methods to be added to
// MappingLister.
type MappingListerExpansion interface{}

// MappingNamespaceListerExpansion allows custom methods to be added to
// MappingNamespaceLister.
type MappingNamespaceListerExpansion interface{}

// TLSContextListerExpansion allows custom methods to be added to
// TLSContextLister.
type TLSContextListerExpansion interface{}

// TLSContextNamespaceListerExpansion allows custom methods to be added to
// TLSContextNamespaceLister.
type TLSContextNamespaceListerExpansion interface{}
